package com.qmth.themis.backend.websocketTemplete;

import com.alibaba.fastjson.JSONObject;
import com.qmth.themis.business.constant.SystemConstant;
import com.qmth.themis.business.entity.TOeExamRecord;
import com.qmth.themis.business.service.TOeExamRecordService;
import com.qmth.themis.business.util.JacksonUtil;
import com.qmth.themis.common.enums.ExceptionResultEnum;
import com.qmth.themis.common.exception.BusinessException;
import com.qmth.themis.common.util.Result;
import com.qmth.themis.common.util.ResultUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;
import java.util.Objects;

/**
 * @Description: 管理端websocket模版
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/24
 */
@Component
public class WebSocketOeMessageTemplete {
    private final static Logger log = LoggerFactory.getLogger(WebSocketOeMessageTemplete.class);

    /**
     * 状态同步
     *
     * @param body
     * @return
     */
    @Transactional
    public Result syncStatus(String body) {
        JSONObject jsonObject = JSONObject.parseObject(body);
        log.info("syncStatus jsonObject:{}", jsonObject.toJSONString());
        return this.syncAck();
    }

    /**
     * 同步确认
     *
     * @return
     */
    public Result syncAck() {
        Map map = new HashMap<>();
        map.put(SystemConstant.ACK_MESSAGE, System.currentTimeMillis());
        return ResultUtil.ok(map);
    }
}
